Package org.silverpeas.mobile.shared.dto.authentication

## Class UserProfileDTO

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.authentication.UserProfileDTO

- All Implemented Interfaces:
    `IUserProfile`

      public class UserProfileDTO
      extends Object
      implements IUserProfile

  Author:
    svu

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UserProfileDTO()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAccessLevel()` |
    `String` | `getApiToken()` |
    `com.google.web.bindery.autobean.shared.AutoBean<IUserProfile>` | `getAutoBean()` |
    `String` | `getAvatar()` |
    `static UserProfileDTO` | `getBean​(com.google.web.bindery.autobean.shared.AutoBean<IUserProfile> b)` |
    `String` | `getContactsUri()` |
    `String` | `getDomainId()` |
    `String` | `getDomainName()` |
    `String` | `geteMail()` |
    `String` | `getFirstName()` |
    `String` | `getFullName()` |
    `String` | `getId()` |
    `String` | `getLanguage()` |
    `String` | `getLastName()` |
    `String` | `getLogin()` |
    `String` | `getSpecificId()` |
    `String` | `getStatus()` |
    `String` | `getUri()` |
    `String` | `getWebPage()` |
    `boolean` | `isAnonymous()` |
    `boolean` | `isConnected()` |
    `boolean` | `isDeactivatedState()` |
    `boolean` | `isDeletedState()` |
    `void` | `setAccessLevel​(String accessLevel)` |
    `void` | `setAnonymous​(boolean anonymous)` |
    `void` | `setApiToken​(String apiToken)` |
    `void` | `setAvatar​(String avatar)` |
    `void` | `setConnected​(boolean connected)` |
    `void` | `setContactsUri​(String contactsUri)` |
    `void` | `setDeactivatedState​(boolean deactivatedState)` |
    `void` | `setDeletedState​(boolean deletedState)` |
    `void` | `setDomainId​(String domainId)` |
    `void` | `setDomainName​(String domainName)` |
    `void` | `seteMail​(String eMail)` |
    `void` | `setFirstName​(String firstName)` |
    `void` | `setFullName​(String fullName)` |
    `void` | `setId​(String id)` |
    `void` | `setLanguage​(String language)` |
    `void` | `setLastName​(String lastName)` |
    `void` | `setLogin​(String login)` |
    `void` | `setSpecificId​(String specificId)` |
    `void` | `setStatus​(String status)` |
    `void` | `setUri​(String uri)` |
    `void` | `setWebPage​(String webPage)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserProfileDTO

          public UserProfileDTO()

  - ### Method Detail

    - #### getUri

          public String getUri()

      Specified by:
        `getUri` in interface `IUserProfile`

    - #### setUri

          public void setUri​(String uri)

      Specified by:
        `setUri` in interface `IUserProfile`

    - #### getContactsUri

          public String getContactsUri()

      Specified by:
        `getContactsUri` in interface `IUserProfile`

    - #### setContactsUri

          public void setContactsUri​(String contactsUri)

      Specified by:
        `setContactsUri` in interface `IUserProfile`

    - #### getWebPage

          public String getWebPage()

      Specified by:
        `getWebPage` in interface `IUserProfile`

    - #### setWebPage

          public void setWebPage​(String webPage)

      Specified by:
        `setWebPage` in interface `IUserProfile`

    - #### getAvatar

          public String getAvatar()

      Specified by:
        `getAvatar` in interface `IUserProfile`

    - #### setAvatar

          public void setAvatar​(String avatar)

      Specified by:
        `setAvatar` in interface `IUserProfile`

    - #### getDomainName

          public String getDomainName()

      Specified by:
        `getDomainName` in interface `IUserProfile`

    - #### setDomainName

          public void setDomainName​(String domainName)

      Specified by:
        `setDomainName` in interface `IUserProfile`

    - #### getFullName

          public String getFullName()

      Specified by:
        `getFullName` in interface `IUserProfile`

    - #### setFullName

          public void setFullName​(String fullName)

      Specified by:
        `setFullName` in interface `IUserProfile`

    - #### getLanguage

          public String getLanguage()

      Specified by:
        `getLanguage` in interface `IUserProfile`

    - #### setLanguage

          public void setLanguage​(String language)

      Specified by:
        `setLanguage` in interface `IUserProfile`

    - #### isConnected

          public boolean isConnected()

      Specified by:
        `isConnected` in interface `IUserProfile`

    - #### setConnected

          public void setConnected​(boolean connected)

      Specified by:
        `setConnected` in interface `IUserProfile`

    - #### isAnonymous

          public boolean isAnonymous()

      Specified by:
        `isAnonymous` in interface `IUserProfile`

    - #### setAnonymous

          public void setAnonymous​(boolean anonymous)

      Specified by:
        `setAnonymous` in interface `IUserProfile`

    - #### getApiToken

          public String getApiToken()

      Specified by:
        `getApiToken` in interface `IUserProfile`

    - #### setApiToken

          public void setApiToken​(String apiToken)

      Specified by:
        `setApiToken` in interface `IUserProfile`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `IUserProfile`

    - #### setId

          public void setId​(String id)

      Specified by:
        `setId` in interface `IUserProfile`

    - #### getSpecificId

          public String getSpecificId()

      Specified by:
        `getSpecificId` in interface `IUserProfile`

    - #### setSpecificId

          public void setSpecificId​(String specificId)

      Specified by:
        `setSpecificId` in interface `IUserProfile`

    - #### getDomainId

          public String getDomainId()

      Specified by:
        `getDomainId` in interface `IUserProfile`

    - #### setDomainId

          public void setDomainId​(String domainId)

      Specified by:
        `setDomainId` in interface `IUserProfile`

    - #### getLogin

          public String getLogin()

      Specified by:
        `getLogin` in interface `IUserProfile`

    - #### setLogin

          public void setLogin​(String login)

      Specified by:
        `setLogin` in interface `IUserProfile`

    - #### getFirstName

          public String getFirstName()

      Specified by:
        `getFirstName` in interface `IUserProfile`

    - #### setFirstName

          public void setFirstName​(String firstName)

      Specified by:
        `setFirstName` in interface `IUserProfile`

    - #### getLastName

          public String getLastName()

      Specified by:
        `getLastName` in interface `IUserProfile`

    - #### setLastName

          public void setLastName​(String lastName)

      Specified by:
        `setLastName` in interface `IUserProfile`

    - #### geteMail

          public String geteMail()

      Specified by:
        `geteMail` in interface `IUserProfile`

    - #### seteMail

          public void seteMail​(String eMail)

      Specified by:
        `seteMail` in interface `IUserProfile`

    - #### getAccessLevel

          public String getAccessLevel()

      Specified by:
        `getAccessLevel` in interface `IUserProfile`

    - #### setAccessLevel

          public void setAccessLevel​(String accessLevel)

      Specified by:
        `setAccessLevel` in interface `IUserProfile`

    - #### getStatus

          public String getStatus()

      Specified by:
        `getStatus` in interface `IUserProfile`

    - #### setStatus

          public void setStatus​(String status)

      Specified by:
        `setStatus` in interface `IUserProfile`

    - #### isDeletedState

          public boolean isDeletedState()

      Specified by:
        `isDeletedState` in interface `IUserProfile`

    - #### setDeletedState

          public void setDeletedState​(boolean deletedState)

      Specified by:
        `setDeletedState` in interface `IUserProfile`

    - #### isDeactivatedState

          public boolean isDeactivatedState()

      Specified by:
        `isDeactivatedState` in interface `IUserProfile`

    - #### setDeactivatedState

          public void setDeactivatedState​(boolean deactivatedState)

      Specified by:
        `setDeactivatedState` in interface `IUserProfile`

    - #### getAutoBean

          public com.google.web.bindery.autobean.shared.AutoBean<IUserProfile> getAutoBean()

    - #### getBean

          public static UserProfileDTO getBean​(com.google.web.bindery.autobean.shared.AutoBean<IUserProfile> b)